# Deprecated API

## Contents

- Methods
- Enum Constants

Methods
org.sqlite.jdbc4.JDBC4ResultSet.getBigDecimal​(int, int)
org.sqlite.SQLiteConfig.enableCountChanges​(boolean): Enables or disables the count-changes flag. When enabled, INSERT, UPDATE and DELETE statements return the number of rows they modified.
org.sqlite.SQLiteConfig.enableEmptyResultCallBacks​(boolean): Enables or disables the empty_result_callbacks flag.
org.sqlite.SQLiteConfig.enableFullColumnNames​(boolean): Enables or disables the full_column_name flag. This flag together with the short_column_names flag determine the way SQLite assigns names to result columns of SELECT statements.
org.sqlite.SQLiteJDBCLoader.isPureJavaMode(): Pure Java nolonger supported

Enum Constants
org.sqlite.SQLiteConfig.TransactionMode.DEFFERED: Use `DEFERRED` instead.